'\" t
.\"***************************************************************************
.\" Copyright 2018-2022,2023 Thomas E. Dickey                                *
.\" Copyright 1998-2010,2015 Free Software Foundation, Inc.                  *
.\"                                                                          *
.\" Permission is hereby granted, free of charge, to any person obtaining a  *
.\" copy of this software and associated documentation files (the            *
.\" "Software"), to deal in the Software without restriction, including      *
.\" without limitation the rights to use, copy, modify, merge, publish,      *
.\" distribute, distribute with modifications, sublicense, and/or sell       *
.\" copies of the Software, and to permit persons to whom the Software is    *
.\" furnished to do so, subject to the following conditions:                 *
.\"                                                                          *
.\" The above copyright notice and this permission notice shall be included  *
.\" in all copies or substantial portions of the Software.                   *
.\"                                                                          *
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
.\" IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
.\" DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
.\" OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
.\" THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
.\"                                                                          *
.\" Except as contained in this notice, the name(s) of the above copyright   *
.\" holders shall not be used in advertising or otherwise to promote the     *
.\" sale, use or other dealings in this Software without prior written       *
.\" authorization.                                                           *
.\"***************************************************************************
.\"
.\" $Id: form_opts.3x,v 1.24 2023/07/01 15:46:10 tom Exp $
.TH form_opts 3X 2023-07-01 "ncurses 6.4" "Library calls"
.SH NAME
\fBset_form_opts\fP,
\fBform_opts_on\fP,
\fBform_opts_off\fP,
\fBform_opts\fP \- set and get form options
.SH SYNOPSIS
\fB#include <form.h>\fP
.sp
\fBint set_form_opts(FORM *\fIform\fB, Field_Options \fIopts\fB);\fR
.br
\fBField_Options form_opts(const FORM *\fIform\fB);\fR
.sp
\fBint form_opts_on(FORM *\fIform\fB, Field_Options \fIopts\fB);\fR
.br
\fBint form_opts_off(FORM *\fIform\fB, Field_Options \fIopts\fB);\fR
.SH DESCRIPTION
The function \fBset_form_opts\fP sets all the given form's option bits (form
option bits may be logically-OR'ed together).
.PP
The function \fBform_opts_on\fP turns on the given option bits, and leaves
others alone.
.PP
The function \fBform_opts_off\fP turns off the given option bits, and leaves
others alone.
.PP
The function \fBform_opts\fP returns the form's current option bits.
.PP
The following options are defined (all are on by default):
.TP 5
O_NL_OVERLOAD
Overload the \fBREQ_NEW_LINE\fP forms driver request so that calling it at the
end of a field goes to the next field.
.TP 5
O_BS_OVERLOAD
Overload the \fBREQ_DEL_PREV\fP forms driver request so that calling it at the
beginning of a field goes to the previous field.
.SH RETURN VALUE
Except for \fBform_opts\fP, each routine returns one of the following:
.TP 5
.B E_OK
The routine succeeded.
.TP 5
.B E_SYSTEM_ERROR
System error occurred (see \fBerrno\fP(3)).
.SH SEE ALSO
\fBcurses\fP(3X), \fBform\fP(3X).
.SH NOTES
The header file \fB<form.h>\fP automatically includes the header file
\fB<curses.h>\fP.
.SH PORTABILITY
These routines emulate the System V forms library.
They were not supported on
Version 7 or BSD versions.
.SH AUTHORS
Juergen Pfeifer.
Manual pages and adaptation for new curses by Eric S. Raymond.
